[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.OnColumnMoved

Event handler signalled when the order of a column is changed.

## Declaration

Source position: dbgrids.pas line 527

`protected property TCustomDBGrid.OnColumnMoved : TMovedEvent read FOnColumnMoved write FOnColumnMoved;`

## Description

OnColumnMoved is a TMovedEvent property that implements an event handler signalled when the order of a column in the grid control is changed. Assign a procedure to the event handler to respond to the event notification. OnColumnMoved is triggered from the ColRowMoved method after the new column ordering has been applied.

Use OnRowMoved to responding to row ordering notification events.